# Type alias AsObject

AsObject: {
nonce: number;
reportedPeersList: Peer.AsObject[];
senderNodeAddress?: NodeAddress.AsObject;
supportedCapabilitiesList: number[];
}

#### Type declaration

- ##### nonce: number

- ##### reportedPeersList: Peer.AsObject[]

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### supportedCapabilitiesList: number[]

- Defined in src/protobuf/pb_pb.d.ts:497

Generated using TypeDoc